Bug 302100 - Device notifier icon always shown in systray
Summary: Device notifier icon always shown in systray
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-devicenotifier (show other bugs)
Version: 4.8.90 (beta2)
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-06-18 08:03 UTC by Cédric Bellegarde
Modified: 2012-06-21 13:07 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric Bellegarde 2012-06-18 08:03:54 UTC
In KDE 4.9, icon never get hidden.

Reproducible: Always

Steps to Reproduce:
1. Configure device notifier icon to "auto hide"
2. Remove any hotplug devices
Actual Results:  
Icon is shown

Expected Results:  
Icon hidden

ArchLinux + kde-unstable packages
Comment 1 Mark 2012-06-19 22:19:50 UTC
I think this is an overlooked feature when the QWidget based device notifier got ported to QML. Adding the regression keyword.
Comment 2 Cédric Bellegarde 2012-06-20 06:43:28 UTC
It's working with KDE 4.8, has it been ported for KDE 4.9 ?
Comment 3 Mark 2012-06-20 10:43:52 UTC
(In reply to comment #2)
> It's working with KDE 4.8, has it been ported for KDE 4.9 ?

That's odd. It should be the same in KDE 4.8 and 4.9.
Comment 4 Cédric Bellegarde 2012-06-20 13:03:33 UTC
Some more informations, it works as soon you plug a removable device....

But at plasma startup with no removable devices, icon is visible...
Comment 5 Aaron J. Seigo 2012-06-21 13:07:32 UTC
Git commit c6c2e36e7d7481da97553bbcfd716142505c0f74 by Aaron Seigo.
Committed on 21/06/2012 at 15:06.
Pushed by aseigo into branch 'master'.

set the status to passive when there is no device on startup
FIXED-IN: 4.9

M  +5    -1    plasma/generic/applets/devicenotifier/package/contents/ui/devicenotifier.qml

http://commits.kde.org/kde-workspace/c6c2e36e7d7481da97553bbcfd716142505c0f74